Name: vic
Summary: A video conferencing application.
Version: 2.8ucl1.1.3
Release: 8
Copyright: BSD
Group: Applications/Internet
URL: http://www-mice.cs.ucl.ac.uk/multimedia/software/vic/
Source: http://www-mice.cs.ucl.ac.uk/multimedia/software/vic/2.8ucl-1.1.3/vic-2.8ucl-1.1.3.tar.bz2
Patch0: vic.patch 
Patch1: vic-gcc-2.96.patch
Patch2: rand_max.patch
Patch3: configure-opts.patch
Patch4: vic-tcktk83.patch
Patch5: common-time.patch
Patch6: sdr-2.9-common-pton.patch
Patch7: common-mbus.patch
Patch8: vic-time.patch
Patch9: vic-ipv6.patch
BuildRoot: %{_tmppath}/%{name}-root
Requires: tcl tk
BuildPreReq: tcl tk
BuildArch: i386

%description
Vic is a real-time multimedia application for video conferencing over
the Internet.  Vic was designed with a flexible and extensible
architecture to support heterogeneous environments and configurations.
Vic is based on the Draft Internet Standard Real-time Transport
Protocol (RTP), and was developed by the Network Research Group at the
Lawrence Berkeley National Laboratory in collaboration with the
University of California, Berkeley.

%prep 
%setup -q -n vic-2.8ucl-1.1.3
%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p1
%patch9 -p1

%build
pushd common
autoconf
%configure --enable-ipv6
make
popd

pushd vic
autoconf
./configure --enable-ipv6 --prefix=%{_prefix} --bindir=%{_bindir} --mandir=%{_mandir} --datadir=%{_datadir} --without-ucltcl --without-ucltk --with-tcl=%{_prefix} --with-tk=%{_prefix}
make

%install
install -d $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}
install -m755 -s vic/vic $RPM_BUILD_ROOT/usr/bin/vic
install -m755 -s vic/histtolut $RPM_BUILD_ROOT/usr/bin/histtolut
install -m644 vic/vic.1 $RPM_BUILD_ROOT%{_mandir}/man1/vic.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/vic
/usr/bin/histtolut
%{_mandir}/*/*

%changelog
* Fri Jun  8 2001 Pekka Savola <psavola@csc.fi>
- Enable ipv6 support, add a patch to make it compile.

* Sun Apr  8 2001 Pekka Savola <psavola@csc.fi>
- %%_mandir, %%_tmppath, other small tuning.
- rip out tcl/tk 8.0 by tcl from the package, require/prereq them
- add a patch to enable compiling with tcl/tk8.3
- add a few patches from sdr to common part
- add a patch for time.h problems

* Fri Jan 12 2001 Tim Powers <timp@redhat.com>
- applied patch from bug 23840

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Tim Powers <timp@redhat.com>
- patched to build with gcc-2.96 and glibc 2.2
* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed May 24 2000 Tim Powers <timp@redhat.com>
- updated to 1.1.3
- man pages in /usr/share/man

* Fri Jan 21 2000 Tim Powers <timp@redhat.com>
- minor file section cleanups
- buildroot in /var/tmp
- bzipped source to conserve space
- moved changelog to bottom so that it looks more like the rest of our specs
	:)
- quiet setup
- removed README from doc section. didn't exist

* Fri Jan 21 2000 Pekka Pietikinen <pp@netppl.fi>
- Upgraded to vic 2.8ucl-1.1.0 which works with newer tcl versions and
  contains native video4linux support.

* Fri Oct 30 1998 Pekka Pietikinen <pp@netppl.fi>
- Rebuilt for RHCN, added Requires: for tcl 8.0.2 (8.0.3 doesn't
	work for some unknown reason, complains about missing tcl_findLibrary)

* Fri Sep 25 1998 Pekka Pietikinen <pp@netppl.fi>
- updated for tcl-8.0 and added video4linux support.

* Wed Oct 01 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- Initial rpm
- Patch mainly fixes tcl/tk versions, also a declaration error
